nexuiz (2.5.2+dp-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 16:20:30 +0800

nexuiz (2.5.2+dp-7) unstable; urgency=medium

  * Standards-Version: 4.1.3 (no changes required)
  * Use debhelper compat level 11
  * Configure for DEP-14 git branch names (debian/master,
    upstream/latest)
  * Set Vcs-* to point to salsa.debian.org

 -- Simon McVittie <smcv@debian.org>  Tue, 16 Jan 2018 09:19:58 +0000

nexuiz (2.5.2+dp-6) unstable; urgency=medium

  * Standards-Version: 4.1.1 (no changes required)
  * Set Rules-Requires-Root to no. With recent dpkg and debhelper, this
    package can build without fakeroot.

 -- Simon McVittie <smcv@debian.org>  Mon, 06 Nov 2017 08:59:25 +0000

nexuiz (2.5.2+dp-5) unstable; urgency=medium

  * d/watch: Omit +dp from version when checking for new versions
    (in practice there will likely never be one)
  * d/copyright: Use https URL for Format
  * d/README.source: Really remove empty file
  * Standards-Version: 4.1.0 (no further changes)
  * d/control, d/compat: Move to debhelper compat level 10
  * Change one remaining mention of "Classic Nexuiz" to the correct
    "Nexuiz Classic"

 -- Simon McVittie <smcv@debian.org>  Wed, 20 Sep 2017 09:29:51 +0100

nexuiz (2.5.2+dp-4) unstable; urgency=medium

  * Standards-Version: 3.9.8
    - Stop installing traditional Debian menu entry
    - Stop installing obsolete XPM icon
  * Normalize packaging via wrap-and-sort -abst
  * Update Vcs-Git, Vcs-Browser to https and cgit
  * Remove unnecessary override_dh_icons recipe

 -- Simon McVittie <smcv@debian.org>  Fri, 09 Sep 2016 09:33:35 +0100

nexuiz (2.5.2+dp-3) unstable; urgency=low

  * Switch Homepage (Closes: #709531)
  * Replace all mentions of "Classic Nexuiz" with "Nexuiz Classic" since
    that's what upstream seem to be calling it now
  * Standards-Version: 3.9.5 (no changes needed)
  * Switch copyright file to 1.0 syntax
  * Canonicalize Vcs-Git, Vcs-Browser fields
  * Use debhelper compat level 9

 -- Simon McVittie <smcv@debian.org>  Sun, 09 Mar 2014 14:02:56 +0000

nexuiz (2.5.2+dp-2) unstable; urgency=low

  * Switch nexuiz, nexuiz-server to arch:all
  * Enable pristine-tar in gbp.conf
  * Mention in the description/copyright file that this is "Classic Nexuiz"
  * Upload to unstable

 -- Simon McVittie <smcv@debian.org>  Thu, 06 Oct 2011 09:05:27 +0100

nexuiz (2.5.2+dp-1) experimental; urgency=low

  * Remove the outdated copy of the DarkPlaces engine found here, replacing
    it with a script based on the one in quake3 to run darkplaces or
    darkplaces-server with appropriate options
    - remove README.source which hasn't been relevant since 2.5.2-3
    - remove patch
    - replace orig.tar.gz with one containing only icons and COPYING,
      taken from DarkPlaces svn
    - remove -dbg packages (install darkplaces-dbg or darkplaces-server-dbg
      if it crashes)
    - unlike the version of DarkPlaces formerly in this package, darkplaces
      is patched to link against libraries in the usual way (Closes: #465195)
  * Install large, high-quality icons for the desktop entry (extracted from
    nexuiz.ico from the DarkPlaces svn repository) so it looks nice in GNOME 3
  * Add a .gitignore
  * Add myself to Uploaders
  * Upload to experimental for now, while darkplaces gets through NEW

 -- Simon McVittie <smcv@debian.org>  Fri, 15 Jul 2011 17:33:53 +0100

nexuiz (2.5.2-5) unstable; urgency=low

  * Use debhelper 8 to build the source package
    * Bump build-dependency to debhelper (>= 8)
    * Rewrite debian/rules

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Fri, 25 Mar 2011 18:05:17 +0100

nexuiz (2.5.2-4) unstable; urgency=low

  [ Bruno "Fuddl" Kleinert ]
  * The Nexuiz download URL has changes. Correct URL in copyright and control
    files
  
  [ Evgeni Golov ]
  * Remove Gerfried Fuchs from Uploaders as per own request.

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Thu, 12 Aug 2010 14:53:59 +0200

nexuiz (2.5.2-3) unstable; urgency=low

  * Use dpkg 3.0 quilt format for packaging
    * Drop build dependency on quilt. dpkg does everything for us
  * Update to standards version 3.9.1 without any changes
  * Fix a typo in README.Debian
  * Add ${misc:Depends} in Depends-field of each binary package. Thanks to
    lintian!

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Thu, 29 Jul 2010 15:42:39 -0400

nexuiz (2.5.2-2) unstable; urgency=low

  * Add debian/get-nexuiz-orig.sh to fetch and strip the .orig.tar.gz from the
    upstream Subversion repository
  * Migrate from Subversion to Git and Update Vcs-* fields in control file
  * Build depend on debhelper 7. We're using dh_prep instead of dh_clean -k in
    debian/rules, now and dh_prep requires debhelper 7
  * Drop obsolete patches:
    * 10_ambiguous_keyboard_bindings.patch: It used to patch documentation files
      which are now in nexuiz-data
    * 20_nostrip_support.patch: It removed the strip command from the upstream
      makefile, but we're building the debug targets, now.
  * Use absolute path in nexuiz.desktop to avoid problems with users who have
    a modified $PATH that could point to another nexuiz binary.
  * Install NEWS.Debian also in nexuiz-server to inform users that the "pro"
    mode has gone. This might be important to Nexuiz server administrators

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Thu, 22 Oct 2009 17:37:36 +0200

nexuiz (2.5.2-1) unstable; urgency=low

  [ Bruno "Fuddl" Kleinert ]
  * New upstream release (Closes: #522514)
  * Drop menu entries for "pro" game mode. It got removed upstream (Also see
    /usr/share/doc/nexuiz/NEWS.Debian)
    * Remove nexuiz_pro.desktop
    * Remove pro mode entry in nexuiz.menu
  * Update my email address where necessary
  * Use quilt as patch management system. This adds quilt and drops dpatch as a
    build dependency
  * Drop 10_ambiguous_keyboard_bindings.dpatch since we no longer keep Nexuiz
    specific documentation in this package anymore.
  * Refresh debian/nexuiz.docs and debian/nexuiz-server.docs
  * Drop debian/nexuiz-server.examples. Upstream moved these files elsewhere. I
    will fix this in another upload.
  * Add README.source, since we are using quilt as patch management system
  * Update copyright years in debian/copyright
  * Update standards version to 3.8.3:
    * Replace "copyright" with © in debian/copyright
    * Move *-dbg packages into Section: debug
  * Add code snippet from our policy into rules file, so we can build nexuiz in
    parallel on SMP machines
  * Obtain source from upstream Subversion repository. In previous packages we
    always used the sources archive within nexuiz-VERSION.zip.
  * Refresh 10_detect_gnu-kfreebsd.patch because we don't keep the sources in
    darkplaces/ anymore.

  [ Gonéri Le Bouder ]
  * xqf is not mandatoried to run the game. Downgrade xqf dependency from
    recommends to suggests. Thanks FTF 3k3 (Closes: #512456)

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Fri, 16 Oct 2009 12:52:25 +0200

nexuiz (2.4.2-1) unstable; urgency=low

  [ Bruno "Fuddl" Kleinert ]
  * New upstream version (Closes: #481017)
  * Install only reasonable documentation per binary package
  * Install more documentation of the upstream release, but don't install the
    source .aft files
  * Install nexuiz-server-console to IRC gateway examples
  * Support "pro" extension
    * Add desktop shortcuts (.menu and .desktop) to start Nexuiz with the "pro"
      extension enabled (Install additional nexuiz_pro.desktop)
    * Update NEWS.Debian for "pro" mode
  * Add 10_ambiguous_keyboard_bindings.dpatch patch to remove optional
    confusing/ambiguous key description, how to toggle the in-game console,
    from the FAQ (See #477397)
  * Switch meta-package build dependency libsdl-dev to real package
    libsdl1.2-dev
  * Make gcc build our binaries with -O2 optimization
  * Get rid of wrapper scripts (/usr/games/{nexuiz,nexuiz-server}
    * Install binaries to /usr/games instead of /usr/lib/games/nexuiz
    * Update manpages for missing parameters
    * Update README.Debian, how to obtain a backtrace
    * Configure game data location at build time in debian/rules

 -- Bruno "Fuddl" Kleinert <fuddl@tauware.de>  Fri, 23 May 2008 13:55:23 +0200

nexuiz (2.4-1) unstable; urgency=low

  [ Bruno "Fuddl" Kleinert ]
  * New upstream version (Closes: #468639)
  * Update to standards version 3.7.3.0. No changes
  * Update my email address
  * Don't ignore some rm-commands in rules file
  * Desktop icon changes
    * Install desktop icon in proper location
    * Use desktop icon shipped with sources. As a result, drop
      build-dependency on sharutils which was used to extract the uuencoded
      desktop icon in debian/
    * Adept .desktop and .menu to use the new icon
  * Fix Vcs-fields in control file
  * Add a description to Rhonda's no-strip-patch. Found by lintian
  * Adept no-strip-patch to newer upstream makefile.inc
  * Fix format of NEWS.Debian. Found by lintian
  * Remove homepage URLs from package descriptions. Found by lintian
  * Use some placeholders in the copyright file instead of fixed timestamps
  * Build-depend on debhelper >= 5.0.51 due to dh_icons usage.

  [ Ansgar Burchardt ]
  * Remove deprecated Encoding key from .desktop file

 -- Bruno "Fuddl" Kleinert <fuddl@tauware.de>  Tue, 11 Mar 2008 16:44:21 +0100

nexuiz (2.3-4) unstable; urgency=low

  [ Bruno "Fuddl" Kleinert ]
  * Bumped debhelper compat level to 5
  * Builds debug packages nexuiz-dbg and nexuiz-server-dbg
  * Placed a note in README.Debian how to generate backtraces

  [ Barry deFreese ]
  * Add watch file
  * Bump debhelper build-dep to match cmpat
  * Add Homepage field in control

 -- Bruno "Fuddl" Kleinert <fuddl@gmx.de>  Mon,  8 Oct 2007 13:09:22 +0200

nexuiz (2.3-3) unstable; urgency=low

  [ Bruno "Fuddl" Kleinert ]
  * Updated the Debian menu file to the new menu hierarchy
  * Fix a bunch of typos and wrong things in README.Debian

  [ Cyril Brulebois ]
  * Added XS-Vcs-Svn and XS-Vcs-Browser fields in the control file.

  [ Gerfried Fuchs ]
  * dpatch added to make DEB_BUILD_OPTIONS=nostrip work (Closes: #437634)
  * Made the GPL licence path in the copyright file point to GPL-2 directly.

 -- Gerfried Fuchs <rhonda@debian.at>  Tue, 21 Aug 2007 20:24:44 +0200

nexuiz (2.3-2) unstable; urgency=low

  * Revert dlopen() dependency on libcurl4 back to libcurl3 for transition
    (Closes: #430737)
  * Added myself to Uploaders. :)

 -- Gerfried Fuchs <rhonda@debian.at>  Sat, 30 Jun 2007 18:26:55 +0200

nexuiz (2.3-1) unstable; urgency=low

  * New upstream release (Closes: #427951)
  * Versioned dependency on nexuiz-data
  * Versioned recommend nexuiz-music

 -- Bruno "Fuddl" Kleinert <fuddl@gmx.de>  Fri,  1 Jun 2007 16:29:38 +0200

nexuiz (2.2.3-2) unstable; urgency=low

  [ Bruno "Fuddl" Kleinert ]
  * Replaced german-english mixture 'ego-shooter' by first-person shooter
  * Fixed a typo in the control file
  * Fixed bash-specific syntax in the nexuiz wrapper script
  * Depend on libcurl4 and libvorbisfile3 (Closes: #424742)

 -- Bruno "Fuddl" Kleinert <fuddl@gmx.de>  Fri, 18 May 2007 14:43:56 +0200

nexuiz (2.2.3-1) unstable; urgency=low

  [ Bruno "Fuddl" Kleinert ]
  * New upstream release
  * dpatch to fix FTBFS on GNU/kFreeBSD. Thanks to Cyril Brulebois for the
    patch (Closes: #404448)

 -- Bruno "Fuddl" Kleinert <fuddl@gmx.de>  Fri, 26 Jan 2007 18:22:02 +0100

nexuiz (2.2.1-1) unstable; urgency=low

  [ Bruno "Fuddl" Kleinert ]
  * New upstream release
  * Added a note to debian/copyright how the source packages are derived from
    the upstream distribution
  * Fixed passing command line arguments through wrapper scripts
  * Cleanups in source package

 -- Bruno "Fuddl" Kleinert <fuddl@gmx.de>  Wed, 13 Dec 2006 21:20:25 +0100

nexuiz (2.1-1) unstable; urgency=low

  [ Gonéri Le Bouder ]
  * warpper scripts: use of -dir /path/*.pk3 to load data files
    no need of symlinks in /usr/lib/games/nexuiz/data/ anymore
  * add myself as uploader
  * add french comment in the desktop file
  * nexuiz recommends xqf (Closes: #391694)
  * remove the Applications category from the desktop file since
    its not an official categorie
    http://standards.freedesktop.org/menu-spec/latest/apa.html

  [ Eddy Petrişor ]
  * add romanian comment in the desktop file

  [ Bruno "Fuddl" Kleinert ]
  * New upstream release
  * New package description
  * Added README.Debian

 -- Bruno "Fuddl" Kleinert <fuddl@gmx.de>  Tue, 10 Oct 2006 23:04:36 +0200

nexuiz (2.0-1) unstable; urgency=low

  [ Gonéri Le Bouder ]
  * Maintainer names harmonised to "Debian Games Team"

  [ Bruno "Fuddl" Kleinert ]
  * Initial Release (Closes: #311479)

 -- Bruno "Fuddl" Kleinert <fuddl@gmx.de>  Sat, 17 Jun 2006 20:02:49 +0200
